Update Organization Notification Settings
https://app.fossa.com/api/organizations/{id}/settings/projects/notificationsUpdate notification settings for an organization
Path parameters
idintegerrequiredRequest body · application/json
notificationDefaultEnabledbooleanrequiredthe on/off status of project notifications
notificationDefaultSlackScanbooleanrequiredthe on/off status of slack notifications for scans
notificationDefaultApiWebhookScanbooleanrequiredthe on/off status of API webhook notifications for scans
notificationDefaultEmailScanUsersnumber[]requirednotificationDefaultEmailScanUserTypeenumrequiredThe type of users to email for scan notifications. Each option represents a different set of users: - current: Only the current user will receive scan notifications. - all: All users will receive scan notifications. - custom: Custom set of users will receive scan notifications.
currentallcustomResponses
204No content401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
422Unprocessable EntityuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/organizations/1/settings/projects/notificationscurl --request PUT \ --url 'https://app.fossa.com/api/organizations/1/settings/projects/notifications' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "notificationDefaultEnabled": true, "notificationDefaultSlackScan": true, "notificationDefaultApiWebhookScan": false, "notificationDefaultEmailScanUsers": [ 1, 2 ], "notificationDefaultEmailScanUserType": "all"}'Real request. Mutating methods can change data.
Path params
idintegerrequired